---

#! jobs/fio-basic-1hdd-write.yaml
suite: fio-basic
testcase: fio-basic
category: benchmark
runtime: 300s
disk: 1HDD
fs: xfs
nr_task: 100%
test_size: 128G
fio-setup-basic:
  rw: write
  bs: 4k
  ioengine: io_uring
  direct: direct
fio:
job_origin: fio-basic-1hdd-write.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp9
tbox_group: lkp-icl-2sp9
submit_id: 65b910dc8b2440496afc9a0d
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp9/fio-basic-4k-performance-direct-1HDD-xfs-io_uring-100%-300s-write-128G-debian-11.1-x86_64-20220510.cgz-574e7779cf58-20240130-18794-1umwd7g-0.yaml"
id: bdc7fd0d5abd586cfd98e3ecbe5f046a9210505e
queuer_version: "/zday/lkp"

#! /db/releases/20240127230653/lkp-src/hosts/lkp-icl-2sp9
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/wwn-0x50014ee2be2f4b3a-part*"
ssd_partitions:
- "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part1"
- "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part2"
- "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part3"
rootfs_partition: "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part4"
kernel_cmdline_hw: acpi_rsdp=0x698f6014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz

#! /db/releases/20240127230653/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_SD
- SCSI
- BLOCK: y
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: y
- XFS_FS
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20240127230653/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20240127230653/lkp-src/include/disk/nr_hdd

#! /db/releases/20240127230653/lkp-src/include/queue/cyclic
commit: 574e7779cf583171acb5bf6365047bb0941b387c

#! /db/releases/20240127230653/lkp-src/include/testbox/lkp-icl-2sp9
ucode: '0xd0003a5'
need_kconfig_hw:
- MEGARAID_NEWGEN: y
- MEGARAID_MM
- MEGARAID_MAILBOX
- MEGARAID_LEGACY
- MEGARAID_SAS

#! /db/releases/20240127230653/lkp-src/include/fs/OTHERS
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-01-30 23:08:12.544958965 +08:00
_id: 65b910dc8b2440496afc9a0d
_rt: "/result/fio-basic/4k-performance-direct-1HDD-xfs-io_uring-100%-300s-write-128G/lkp-icl-2sp9/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/574e7779cf583171acb5bf6365047bb0941b387c"
compiler: gcc-12
head_commit: 48d75e162a841c462053614b19eafa5083784a7e
base_commit: 6613476e225e090cc9aad49be7fa504e290dd33d
branch: linux-devel/devel-hourly-20240129-021849
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240130-163557"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/fio-basic/4k-performance-direct-1HDD-xfs-io_uring-100%-300s-write-128G/lkp-icl-2sp9/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/574e7779cf583171acb5bf6365047bb0941b387c/1
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/574e7779cf583171acb5bf6365047bb0941b387c/vmlinuz-6.8.0-rc1-00004-g574e7779cf58
- branch=linux-devel/devel-hourly-20240129-021849
- job=/lkp/jobs/scheduled/lkp-icl-2sp9/fio-basic-4k-performance-direct-1HDD-xfs-io_uring-100%-300s-write-128G-debian-11.1-x86_64-20220510.cgz-574e7779cf58-20240130-18794-1umwd7g-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=574e7779cf583171acb5bf6365047bb0941b387c
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x698f6014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/574e7779cf583171acb5bf6365047bb0941b387c/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/fs_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/fio_20240127.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/fio-x86_64-3.33-1_20240127.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rootfs_20220515.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240129112510/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp9/fio-basic-4k-performance-direct-1HDD-xfs-io_uring-100%-300s-write-128G-debian-11.1-x86_64-20220510.cgz-574e7779cf58-20240130-18794-1umwd7g-0.cgz"
last_kernel: 6.8.0-rc1-00004-g574e7779cf58
acpi_rsdp: '0x698f6014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/574e7779cf583171acb5bf6365047bb0941b387c/vmlinuz-6.8.0-rc1-00004-g574e7779cf58"
result_root: "/result/fio-basic/4k-performance-direct-1HDD-xfs-io_uring-100%-300s-write-128G/lkp-icl-2sp9/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/574e7779cf583171acb5bf6365047bb0941b387c/1"

#! /cephfs/db/releases/20240129211342/lkp-src/include/site/inn
dequeue_time: 2024-01-31 00:07:45.663835923 +08:00
job_state: finished
loadavg: 221.59 171.62 77.42 1/722 104245
start_time: '1706631514'
end_time: '1706631815'
version: "/lkp/lkp/.src-20240130-163638:e8261fd596f8:0173d3659e34"
